* Author.: Joseph D. Booth
* Company: Precision Engineered Parts, Inc
*          610 Lakeside Drive
*          Southhampton, PA 18966
*
* Version: Autumn '86 Clipper
*
* W Phone: 215-953-1202    (8:30-5:30 E.S.T)
*
* H Phone: 215-245-6774
*
* Purpose: These functions may be used to reduce storage space required by
*          numeric variables.  Using these functions, a numeric field may
*          be stored as a string field, using 1/2 the room of the numeric.
*
*           SQZ()   - convert a numeric field to a smaller string
*
*                       and
*
*           UNSQZ() - convert a SQZ string back to its numeric equivalent
*
* Syntax.: SQZ( <expN1> , <expN2> )
* Where..:
*          <expN1>   the numeric memory variable
*
*          <expN2>   the size of the number
*
*
* Returns:  <expC>   the squished string representation of the number passed
*
*
* Syntax.: UNSQZ( <expC1> )
* Where..:
*          <expC1>   the squished number
*
*
* Returns:   <expN>  the numeric equivalent of the squished string
*
*
* ---------------------------------------------------------------------------

FUNCTION sqz
*
* Syntax.: SQZ( <expN1> , <expN2> )
* Where..:
*          <expN1>   the numeric memory variable
*
*          <expN2>   the size of the number
*
*
* Returns:  <expC>   the squished string representation of the number passed
*
*
PARAMETERS sqnumber,sqsize
PRIVATE retval,snumb,k
retval=""
snumb = str(sqnumber,sqsize)
FOR k=1 TO sqsize STEP 2
   retval = retval + CHR( VAL( SUBS(snumb,k,2) ) +100 )
NEXT
RETURN retval
* ---------------------------------------------------------------------------

FUNCTION unsqz
*
* Syntax.: UNSQZ( <expC1> )
* Where..:
*          <expC1>   the squished number
*
*
* Returns:   <expN>  the numeric equivalent of the squished string
*
*
PARAMETER sqalpha
PRIVATE retval,k
retval=""
FOR k=1 TO LEN(sqalpha)
   retval = retval + STR( ASC( SUBS(sqalpha,k,1) ) -100 ,2 )
NEXT
RETURN VAL(retval)
* ---------------------------------------------------------------------------